{% extends 'main.html' %}

{% load static %}

{% block content %}
<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box">
            <h4 class="page-title">Projects</h4>
        </div>
    </div>
</div>
<!-- end page title --> 

<div class="row">
    <div class="col-12">
        <div class="card widget-inline">
            <div class="card-body p-0">
                <div class="row g-0">
                    <div class="col-sm-6 col-lg-3">
                        <div class="card shadow-none m-0">
                            <div class="card-body text-center">
                                <i class="dripicons-briefcase text-muted" style="font-size: 24px;"></i>
                                <h3><span>{{ work_count.owned_projects_count|add:work_count.collab_projects_count }}</span></h3>
                                <p class="text-muted font-15 mb-0">Total Projects</p>
                                <p class="text-muted font-15 mb-0 mt-1">Owned: <span class="fw-bold">{{ work_count.owned_projects_count }}</span></p>
                                <p class="text-muted font-15 mb-0">Collaborated: <span class="fw-bold">{{ work_count.collab_projects_count }}</span></p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-6 col-lg-3">
                        <div class="card shadow-none m-0 border-start">
                            <div class="card-body text-center">
                                <i class="dripicons-checklist text-muted" style="font-size: 24px;"></i>
                                <h3><span>{{ work_count.tasks_count }}</span></h3>
                                <p class="text-muted font-15 mb-0">Total Tasks</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-6 col-lg-3">
                        <div class="card shadow-none m-0 border-start">
                            <div class="card-body text-center">
                                <i class="dripicons-user-group text-muted" style="font-size: 24px;"></i>
                                <h3><span>{{ work_count.collaborators_count }}</span></h3>
                                <p class="text-muted font-15 mb-0">Collaborators</p>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-6 col-lg-3">
                        <div class="card shadow-none m-0 border-start">
                            <div class="card-body text-center">
                                <i class="dripicons-graph-line text-muted" style="font-size: 24px;"></i>
                                <h3><span>{{ productivity }}%</span> <i class="mdi mdi-arrow-up text-success"></i></h3>
                                <p class="text-muted font-15 mb-0">Productivity</p>
                            </div>
                        </div>
                    </div>

                </div> <!-- end row -->
            </div>
        </div> <!-- end card-box-->
    </div> <!-- end col-->
</div>
<!-- end row-->


<div class="row">
    <div class="col-lg-4">
        <div class="card">
            <div class="card-body">
                <div class="d-flex justify-content-between align-items-center">
                    <h4 class="header-title">Project Status</h4>
                </div>

                <div class="mt-3 mb-4 chartjs-chart" style="height: 207px;">
                    <canvas id="project-status-chart" data-colors="#0acf97,#727cf5,#fa5c7c"></canvas>
                </div>

                <div class="row text-center mt-2 py-2">
                    <div class="col-sm-4">
                        <div class="my-2 my-sm-0">
                                <i class="mdi mdi-trending-up text-success mt-3 h3"></i>
                            <h3 class="fw-normal">
                                <span>{{ status_overview.done_project_percent }}%</span>
                            </h3>
                            <p class="text-muted mb-0">Completed</p>
                        </div>
                        
                    </div>
                    <div class="col-sm-4">
                        <div class="my-2 my-sm-0">
                                <i class="mdi mdi-trending-down text-primary mt-3 h3"></i>
                            <h3 class="fw-normal">
                                <span>{{ status_overview.in_p_project_percent }}%</span>
                            </h3>
                            <p class="text-muted mb-0"> In-progress</p>
                        </div>
                        
                    </div>
                    <div class="col-sm-4">
                        <div class="my-2 my-sm-0">
                                <i class="mdi mdi-trending-down text-danger mt-3 h3"></i>
                            <h3 class="fw-normal">
                                <span>{{ status_overview.behind_project_percent }}%</span>
                            </h3>
                            <p class="text-muted mb-0"> Behind</p>
                        </div>
                        
                    </div>
                </div>
                <!-- end row-->

            </div> <!-- end card body-->
        </div> <!-- end card -->
    </div><!-- end col-->

    <!-- Tasks -->

    <div class="col-lg-8">
        <div class="card">
            <div class="card-body">
                <div class="d-flex justify-content-between align-items-center mb-2">
                    <h4 class="header-title">Recent Tasks</h4>
                </div>

                <p><b>{{ status_overview.done_task_count }}</b> Tasks completed</p>

                <div class="table-responsive">
                    <table class="table table-centered table-nowrap table-hover mb-0">
                        <tbody>
                            {% for recent_task in status_overview.recently_updated_tasks %}
                                <tr>
                                    <td>
                                        <h5 class="font-14 my-1"><a href="{% url 'task_details' recent_task.id %}" class="text-body">{{ recent_task.name }}</a></h5>
                                        {% with task_due_times.recent_task.name as due_time %}
                                            <span class="text-muted font-13">{{ due_time }}</span>
                                        {% endwith %}
                                    </td>
                                    <td>
                                        <span class="text-muted font-13">Status</span> <br/>
                                        {% if recent_task.status == 'YS' %}
                                            <span class="badge badge-info-lighten">{{ recent_task.get_status_display }}</span>
                                        {% elif recent_task.status == 'IP' %}
                                            <span class="badge badge-primary-lighten">{{ recent_task.get_status_display }}</span>
                                        {% elif recent_task.status == 'IR' %}
                                            <span class="badge badge-warning-lighten">{{ recent_task.get_status_display }}</span>
                                        {% else %}
                                            <span class="badge badge-success-lighten">{{ recent_task.get_status_display }}</span>
                                        {% endif %}
                                    </td>
                                    <td>
                                        <span class="text-muted font-13">Assigned to</span>
                                        <h5 class="font-14 mt-1 fw-normal">{{ recent_task.assigned_to }}</h5>
                                    </td>
                                    <td>
                                        <span class="text-muted font-13">Total time spend</span>
                                        <h5 class="font-14 mt-1 fw-normal">{{ recent_task.time_spent }}</h5>
                                    </td>
                                    <td class="table-action" style="width: 90px;">
                                        <a href="{% url 'task_details' recent_task.id %}" class="action-icon"> <i class="mdi mdi-pencil"></i></a>
                                        <a href="{% url 'delete' recent_task.id 'task' %}" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                                    </td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div> <!-- end table-responsive-->

            </div> <!-- end card body-->
        </div> <!-- end card -->
    </div><!-- end col-->
</div>
<!-- end row-->


<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <div class="d-flex justify-content-between align-items-center mb-2">
                    <h4 class="header-title">Tasks Overview</h4>
                    <div class="dropdown">
                        <a href="#" class="dropdown-toggle arrow-none card-drop" data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="mdi mdi-dots-vertical"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-end">
                            <!-- item-->
                            <a href="javascript:void(0);" class="dropdown-item">Weekly Report</a>
                            <!-- item-->
                            <a href="javascript:void(0);" class="dropdown-item">Monthly Report</a>
                            <!-- item-->
                            <a href="javascript:void(0);" class="dropdown-item">Action</a>
                            <!-- item-->
                            <a href="javascript:void(0);" class="dropdown-item">Settings</a>
                        </div>
                    </div>
                </div>

                <div dir="ltr">
                    <div class="mt-3 chartjs-chart" style="height: 320px;">
                        <canvas id="task-area-chart" data-bgColor="#727cf5" data-borderColor="#727cf5"></canvas>
                    </div>
                </div>

            </div> <!-- end card body-->
        </div> <!-- end card -->
    </div><!-- end col-->
</div>
<!-- end row-->


<div class="row">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <div class="d-flex justify-content-between align-items-center mb-2">
                    <h4 class="header-title">Your Calendar</h4>
                    <div class="dropdown">
                        <a href="#" class="dropdown-toggle arrow-none card-drop" data-bs-toggle="dropdown" aria-expanded="false">
                            <i class="mdi mdi-dots-vertical"></i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-end">
                            <!-- item-->
                            <a href="javascript:void(0);" class="dropdown-item">Weekly Report</a>
                            <!-- item-->
                            <a href="javascript:void(0);" class="dropdown-item">Monthly Report</a>
                            <!-- item-->
                            <a href="javascript:void(0);" class="dropdown-item">Action</a>
                            <!-- item-->
                            <a href="javascript:void(0);" class="dropdown-item">Settings</a>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-7">
                        <div data-provide="datepicker-inline" data-date-today-highlight="true" class="calendar-widget"></div>
                    </div> <!-- end col-->
                    <div class="col-md-5">
                        <ul class="list-unstyled mt-1">
                            <li class="mb-4">
                                <p class="text-muted mb-1 font-13">
                                    <i class="mdi mdi-calendar"></i> 7:30 AM - 10:00 AM
                                </p>
                                <h5>Meeting with BD Team</h5>
                            </li>
                            <li class="mb-4">
                                <p class="text-muted mb-1 font-13">
                                    <i class="mdi mdi-calendar"></i> 10:30 AM - 11:45 AM
                                </p>
                                <h5>Design Review - Hyper Admin</h5>
                            </li>
                            <li class="mb-4">
                                <p class="text-muted mb-1 font-13">
                                    <i class="mdi mdi-calendar"></i> 12:15 PM - 02:00 PM
                                </p>
                                <h5>Setup Github Repository</h5>
                            </li>
                            <li>
                                <p class="text-muted mb-1 font-13">
                                    <i class="mdi mdi-calendar"></i> 5:30 PM - 07:00 PM
                                </p>
                                <h5>Meeting with Design Studio</h5>
                            </li>
                        </ul>
                    </div> <!-- end col -->
                </div>
                <!-- end row -->

            </div> <!-- end card body-->
        </div> <!-- end card -->
    </div><!-- end col-->

</div>
<!-- end row-->

<!-- ============================================================== -->
<!-- End Page content -->
<!-- ============================================================== -->

<!-- Custom js variables -->
<script>
var done_project_percent = '{{ status_overview.done_project_percent }}';
var in_p_project_percent = '{{ status_overview.in_p_project_percent }}';
var behind_project_percent = '{{ status_overview.behind_project_percent }}';
var sprint_json = '{{ sprint_json }}';
var sprint_list = JSON.parse('{{ sprint_json|safe }}');

</script>

<!-- bundle -->
<script src="{% static 'js/vendor.min.js' %}"></script>
<script src="{% static 'js/app.min.js' %}"></script>

<!-- third party js -->
<script src="{% static 'js/vendor/chart.min.js' %}"></script>
<!-- third party js ends -->

<!-- demo app -->
<script src="{% static 'js/pages/demo.dashboard-projects.js' %}"></script>
<!-- end demo js-->

{% endblock %}
